#ifndef __DEFS_H
#define __DEFS_H
/*-------------------------------------------------------------------------
 * Copyright (c) 2000-2003 Kenneth W. Sodemann (stuffle@mac.com)
 *-------------------------------------------------------------------------
 * defs
 *
 * Synopsis:
 *    Common definitions used throughout the modules of this program.
 *
 * $Id: defs.h,v 1.18 2005/05/11 00:39:55 stuffle Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to 
 * Free Software Foundation, Inc. 
 * 59 Temple Place, Suite 330 
 * Boston, MA  02111-1307  USA
 *
 *-------------------------------------------------------------------------
 */


/*
 * labels used in many of the "edit" dialogs.
 */
#define IS_UPDATE    "is_update"
#define PK_NUM       "pk_num"
#define LOGIN_ID     "login_id"

#define ADMIN_USER   "admin_user"

/*
 * These lists are stored in the main window, but may be referenced
 * elsewhere (all problem report windows should be created as 
 * children of the main window).
 */
extern const gchar *pr_dlg_list;

/*
 * The current database name will be stored here.  main() will handle
 * the allocation and destruction.
 */
extern GString *curr_db_name;

/*
 * GConf related defs
 */
#define BASE_KEY          "/apps/preps"

#define DBINFO_SEC        "dbinfo"
#define DB_NAME_KEY       "%s/%s/name%d"
#define COUNT             "count"
#define DB_USERNAME       "username"
#define DB_HOST           "host"
#define DB_PORT           "port"
#define MAIN_QUERY        "main_query"
#define DEF_PROJECT       "project"
#define MAIN_SH_INACT     "show_inactive_prjs"

#define WINSTATES         "winstates"
#define ATTR_DLG_SEC      "attrib_dlg"
#define CHLG_RPT_SEC      "ChangeLog_dlg"
#define FIND_DLG_SEC      "find_dlg"
#define MAIN_WIN_SEC      "main_window"
#define PRJ_DLG_SEC       "project_dlg"
#define PRJ_EDIT_DLG_SEC  "project_edit_dlg"
#define PRNT_DLG_SEC      "print_dlg"
#define PROB_ENT_SEC      "problem_entry_dlg"
#define PROB_UPD_SEC      "problem_update_dlg"
#define QRY_USR_SEC       "user_query_dlg"
#define QRY_SYS_SEC       "system_query_dlg"
#define STAT_RPT_SEC      "status_rpt_dlg"
#define USER_DLG_SEC      "users_dlg"
#define VER_RPT_SEC       "version_rpt_dlg"

#define ACTIVE_TAB        "active_tab"
#define SEVR_SH_INACT     "show_inactive_severities"
#define STAT_SH_INACT     "show_inactive_status"
#define TYPE_SH_INACT     "show_inactive_types"

#define DEF_PRINTER       "lp"
#define PRINTER_NAME      "printer_name"
#define TO_FILE           "send_to_file"
#define TO_PRINTER        "send_to_printer"

#define DIR_NAME          "directory_name"
#define FILE_NAME         "file_name"

#define SHOW_ALL          "show_all"
#define SHOW_INACT        "show_inactive"
#define SHOW_INACT_USERS  "show_inactive_users"
#define SHOW_ARCH         "show_arch"

#define X_SIZE            "width"
#define Y_SIZE            "height"
#define X_POS             "x_position"
#define Y_POS             "y_position"

#define COL1              "col_1_width"
#define COL2              "col_2_width"
#define COL3              "col_3_width"
#define COL4              "col_4_width"
#define COL5              "col_5_width"


/*
 *  These control the minimum number of characters that a user must
 *  enter in the subject and descr fields.  If you want your users to
 *  be forced to enter lengthier stuff, bump these numbers up.
 */
#define MIN_SUBJECT_LEN   1
#define MIN_DESCR_LEN     1 

#endif
