#ifndef __LOGIN_DLG_H
#define __LOGIN_DLG_H
/*-------------------------------------------------------------------------
 * Copyright (c) 2000-2003 Kenneth W. Sodemann (stuffle@mac.com)
 *-------------------------------------------------------------------------
 * login_dlg
 *
 * Synopsis:
 *    Database login dialog box.
 *
 * $Id: login_dlg.h,v 1.3 2003/03/09 16:39:32 stuffle Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to
 * Free Software Foundation, Inc.
 * 59 Temple Place, Suite 330
 * Boston, MA  02111-1307  USA
 *
 *-------------------------------------------------------------------------
 */

#include <gconf/gconf-client.h>

/*-------------------------------------------------------------------------
 * Function: execute_login_dlg
 *
 * Synopsis:
 *   Execute the login dialog as a modal dialog box.
 *
 * Inputs:
 *   parent : pointer to the widget that created this one.
 *   data   : pointer to a structure to hold the initial data
 *            to display (also an output).
 *   client : pointer to the GConf client.
 *
 * Outputs:
 *   data   : pointer to a structure to hold the data collected
 *            from the user.
 * 
 * Return Value:
 *   Integer represention of the button that was pressed to close the
 *   dialog box.
 *
 *-------------------------------------------------------------------------
 */
gint execute_login_dlg (GtkWidget    *parent,
                        DbLoginData  *data,
                        GConfClient  *client);

#endif
