#ifndef __PRJ_RPT_DLG_H
#define __PRJ_RPT_DLG_H
/*-------------------------------------------------------------------------
 * Copyright (c) 2000 Kenneth W. Sodemann (stufflehead@bigfoot.com)
 *-------------------------------------------------------------------------
 * prj_rpt_dlg
 *
 * Synopsis:
 *    Gather the information needed to generate the basic project related
 *    reports, and then generate the appropriate report.
 *
 * $Id: prj_rpt_dlg.h,v 1.2 2001/01/07 19:56:28 stuffle Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to 
 * Free Software Foundation, Inc. 
 * 59 Temple Place, Suite 330 
 * Boston, MA  02111-1307  USA
 *
 *-------------------------------------------------------------------------
 */

/*
 * This dialog box can be used to gather user information for, and generate
 * several different project related reports.  Define those reports here.
 */
typedef enum
{
   StatusRpt,
   VersionRpt,
   ChangeLog
} PrjRptType;


/*-------------------------------------------------------------------------
 * Function: execute_prj_rpt_dlg
 *
 * Synopsis:
 *   Execute the project report dialog as a modal dialog.
 *
 * Inputs:
 *   parent   : pointer to the main widget that created this one
 *   conn     : pointer to the database connection
 *   rpt_type : type type of report to generate
 *
 * Outputs:
 *   None.
 * 
 * Return Value:
 *   Ineger representing the button pressed to leave the dialog.
 *
 *-------------------------------------------------------------------------
 */
gint execute_prj_rpt_dlg (GtkWidget  *parent,
                          PGconn     *conn,
                          PrjRptType  rpt_type);

#endif
